## org.exist.client.xacml
Class AbstractPolicyEditor

    java.lang.Object
      org.exist.client.xacml.AbstractNodeEditor
          org.exist.client.xacml.PolicyElementEditor
              org.exist.client.xacml.AbstractPolicyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.event.DocumentListener, java.util.EventListener, NodeEditor

public class AbstractPolicyEditor
extends PolicyElementEditor

Constructor Summary
`AbstractPolicyEditor()`

Method Summary
`void` `pushChanges()`
`void` `setNode(XACMLTreeNode treeNode)`

Methods inherited from class org.exist.client.xacml.PolicyElementEditor
`actionPerformed, changedUpdate, getAlgorithm, getComponent, getDescription, getId, getID, getIDString, insertUpdate, removeUpdate`

Methods inherited from class org.exist.client.xacml.AbstractNodeEditor
`addChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPolicyEditor

    public AbstractPolicyEditor()

Method Detail

### setNode

    public void setNode(XACMLTreeNode treeNode)

  Specified by:
    `setNode` in interface `NodeEditor`
  Overrides:
    `setNode` in class `PolicyElementEditor`

### pushChanges

    public void pushChanges()

  Specified by:
    `pushChanges` in interface `NodeEditor`
  Overrides:
    `pushChanges` in class `PolicyElementEditor`

Copyright (C) Wolfgang Meier. All rights reserved.